ImageFiles : rc ->
Arg Result : &Array : String, 
    Path, Mask : String    

- FilesIn Target ( Name :
                          If Name, IS_DIRECTORY then
                           - ImageFiles >Result< Name Mask 
                          Else
                           - I >Result< Name
                 )
' Target = Path '/' Mask

/

I ImageFiles ->
Arg Result : ^Array : String,
    Name : String    

Is_image = 0 ..

Is_image = 1
[ Name, '.png' | Name, '.gif' | Name, '.jpg' | Name, '.jpeg' ]

Is_image = 0
[ Is_image &! FileSize( Name ) > 0 ]

If Is_image then
 Result .= Name
;

/